QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, interface: PrepareRecoveryResponseProtoOrBuilder

Package org.apache.hadoop.hdfs.qjournal.protocol

# Interface QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QJournalProtocolProtos.PrepareRecoveryResponseProto`, `QJournalProtocolProtos.PrepareRecoveryResponseProto.Builder`

Enclosing class:
  QJournalProtocolProtos

public static interface QJournalProtocolProtos.PrepareRecoveryResponseProtoOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAcceptedInEpoch()`
  `optional uint64 acceptedInEpoch = 2;`
  `long`
  `getLastCommittedTxId()`
  The highest committed txid that this logger has ever seen.
  `long`
  `getLastWriterEpoch()`
  `required uint64 lastWriterEpoch = 3;`
  `QJournalProtocolProtos.SegmentStateProto`
  `getSegmentState()`
  `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
  `QJournalProtocolProtos.SegmentStateProtoOrBuilder`
  `getSegmentStateOrBuilder()`
  `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
  `boolean`
  `hasAcceptedInEpoch()`
  `optional uint64 acceptedInEpoch = 2;`
  `boolean`
  `hasLastCommittedTxId()`
  The highest committed txid that this logger has ever seen.
  `boolean`
  `hasLastWriterEpoch()`
  `required uint64 lastWriterEpoch = 3;`
  `boolean`
  `hasSegmentState()`
  `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasSegmentState

    boolean hasSegmentState()
    `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    Returns:
      Whether the segmentState field is set.

  - ### getSegmentState

    QJournalProtocolProtos.SegmentStateProto getSegmentState()
    `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    Returns:
      The segmentState.

  - ### getSegmentStateOrBuilder

    QJournalProtocolProtos.SegmentStateProtoOrBuilder getSegmentStateOrBuilder()
    `optional .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`

  - ### hasAcceptedInEpoch

    boolean hasAcceptedInEpoch()
    `optional uint64 acceptedInEpoch = 2;`
    Returns:
      Whether the acceptedInEpoch field is set.

  - ### getAcceptedInEpoch

    long getAcceptedInEpoch()
    `optional uint64 acceptedInEpoch = 2;`
    Returns:
      The acceptedInEpoch.

  - ### hasLastWriterEpoch

    boolean hasLastWriterEpoch()
    `required uint64 lastWriterEpoch = 3;`
    Returns:
      Whether the lastWriterEpoch field is set.

  - ### getLastWriterEpoch

    long getLastWriterEpoch()
    `required uint64 lastWriterEpoch = 3;`
    Returns:
      The lastWriterEpoch.

  - ### hasLastCommittedTxId

    boolean hasLastCommittedTxId()

         The highest committed txid that this logger has ever seen.
         This may be higher than the data it actually has, in the case
         that it was lagging before the old writer crashed.

    `optional uint64 lastCommittedTxId = 4;`
    Returns:
      Whether the lastCommittedTxId field is set.

  - ### getLastCommittedTxId

    long getLastCommittedTxId()

         The highest committed txid that this logger has ever seen.
         This may be higher than the data it actually has, in the case
         that it was lagging before the old writer crashed.

    `optional uint64 lastCommittedTxId = 4;`
    Returns:
      The lastCommittedTxId.